using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using JuSNS.Home;
using JuSNS.Model;
using JuSNS.Common;
using JuSNS.Config;


namespace JuSNS.Web.inc.Ajax
{
    public partial class search : JuSNS.UI.Page.BasePage
    {
        protected string province = string.Empty;
        protected string cityarray = string.Empty;
        protected string root = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            root = rooDir;
            #region ¼ÓÔØÊ¡ÊÐ
            if (!IsPostBack)
            {
                Dict dict = new Dict();
                IList<DictAreaInfo> list = dict.GetArea();
                foreach (DictAreaInfo info in list)
                {
                    if (info.ParentID.Equals(0))
                    {
                        province += "<option value=\"" + info.ID + "\">" + info.Name + "</option>";
                    }
                    else
                    {
                        if (!cityarray.Equals(string.Empty))
                        {
                            cityarray += ",";
                        }
                        cityarray += "new Array('" + info.ParentID + "','" + info.ID + "','" + info.Name + "')";
                    }
                }
            }
            #endregion
        }
    }
}
